Skip to main content
GET
Read flow components

Authorizations

Authorization
string
header
required

Use a valid Bearer token to authenticate.

Query Parameters

fieldType
boolean

filter only component with type as input will be returned. Example: routeAs, structurData, singleValue, image, listItemData, reservedKey, all. Default: all

flowId
boolean

FlowId is for selecting the specific flow that you can choose from flow Id's by multiples to show in the response using a string with a comma delimiter. Example: Pickup,Delivery. Example: 1. Default: null

fields
boolean

Fields is for selecting the specific fields that you can choose from component Id's by multiples to show in the response using a string with a comma delimiter. Example: startTime,endTime,hubId,createdBy,flow,status. Default: null

isMerge
boolean

filter to show component with flattern format if the value is 1. Example: 1. Default: null

Response

Success

status
boolean

Status of response.

message
string

Message of API response.

data
object

Detail of object flow fields.